Package org.apache.felix.http.base.internal.whiteboard

## Class RegistrationFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.ServletException
      - - org.apache.felix.http.base.internal.whiteboard.RegistrationFailureException

All Implemented Interfaces:
  `Serializable`

    public class RegistrationFailureException
    extends javax.servlet.ServletException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RegistrationFailureException​(WhiteboardServiceInfo<?> info, int errorCode)`
`RegistrationFailureException​(WhiteboardServiceInfo<?> info, int errorCode, String message)`
`RegistrationFailureException​(WhiteboardServiceInfo<?> info, int errorCode, Throwable exception)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`
`WhiteboardServiceInfo<?>` `getInfo()`

### Methods inherited from class javax.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RegistrationFailureException

    public RegistrationFailureException​(WhiteboardServiceInfo<?> info,
                                        int errorCode)

#### RegistrationFailureException

    public RegistrationFailureException​(WhiteboardServiceInfo<?> info,
                                        int errorCode,
                                        String message)

#### RegistrationFailureException

    public RegistrationFailureException​(WhiteboardServiceInfo<?> info,
                                        int errorCode,
                                        Throwable exception)

### Method Detail

#### getInfo

    public WhiteboardServiceInfo<?> getInfo()

#### getErrorCode

    public int getErrorCode()